<?php
#####################################################################################################
#
#					Module pour la plateforme de paiement PayZen
#						Version : 1.0a (rvision 48747)
#									########################
#					Dvelopp pour WebSiteX5
#						Version : 9.0
#						Compatibilit plateforme : V2
#									########################
#					Dvelopp par Lyra Network
#						http://www.lyra-network.com/
#						26/06/2013
#						Contact : support@payzen.eu
#
#####################################################################################################

//Paramtres  configurer
$key = '1111111111111111'; //Certificat  mofifier
$param['vads_site_id'] = '12345678'; //Identifiant du site  modifier
$param['vads_ctx_mode'] = 'TEST'; //Mode TEST ou PRODUCTION
$param['vads_url_success'] = 'http://votresite/success_payment.html.'; //Retour pour paiement accept
$param['vads_url_return'] = 'http://votresite/default_payment.html.'; //Retour par dfaut


/*Retour de valeurs de WebsiteX5*/
//Enlve les 20 premiers caractres de n de commande et l'affecte au champs VADS du module de paiement
$param['vads_order_id'] = substr($_REQUEST['item_name'], 20);

//Enlve le caractre . du montant et l'affecte au champs VADS du module de paiement
$param['vads_amount'] = str_replace('.','',$_REQUEST['amount']);


/***************************************************************/

/*Rcupration des infos client*/
//Champ nom et prnom
$param['vads_cust_name'] = utf8_encode($_REQUEST['last_name'].' '.$_REQUEST['first_name']);

//Champ Adresse
$param['vads_cust_address'] = utf8_encode($_REQUEST['address1'].' '.$_REQUEST['address2']);

//Champ Ville
$param['vads_cust_city'] = utf8_encode($_REQUEST['city']);

//Champ Etat
$param['vads_cust_state'] = utf8_encode($_REQUEST['state']);

//Champ Code Postal
$param['vads_cust_zip'] = utf8_encode($_REQUEST['zip']);

//Champ Email
$param['vads_cust_email'] = $_REQUEST['email'];


/***************************************************************/

//Ajout des paramtres de paiement obligatoires

$param['vads_version'] = 'V2';
$param['vads_page_action'] = 'PAYMENT';
$param['vads_action_mode'] = 'INTERACTIVE'; 
$param['vads_trans_date'] = gmdate('YmdHis');
$param['vads_payment_config'] = 'SINGLE';
$param['vads_currency'] = '978';
$param['vads_trans_id'] = gmdate('His');
$param['vads_contrib'] = 'WebSiteX59.0_1.0a';


/**************************************************************/
//calcul de la signature 

/*Premiere tape*/
//tri par ordre alphabtique
ksort ($param);

/*Seconde tape*/
//Somme des paramtres
$sign='';
foreach ($param as $value) {
	$sign.= $value . "+";
}

/*Troisime tape*/
//Ajout du certificat
$sign.= $key;

/*Dernire tape*/
//Cryptage
$param['signature'] =sha1 ($sign);
echo $sign;

/*************************************************************/

?>


<html>
<body onload="document.forms['vads_payment'].submit();">
<div style="border:1px solid #15428b;margin-right:auto;margin-top:300px;margin-left:auto;font-size:12px;font-family: Arial,sans-serif;width:400px;height:35px;">
<img style="float:left;margin-top:2px;margin-left:2px" src="images/loading.gif" >
	<div style="margin-top:10px;margin-left:40px">
	Vous allez tre redirig sur la plateforme de paiement scuris
	</div>
</div>

<form method="POST" name="vads_payment" action="https://secure.payzen.eu/vads-payment/"> 

<?php
foreach ( $param as $post => $val )  {
	echo '<input type="hidden" name="'.$post.'" value="'.$val.'">';
}
?>
</form>
</body>
</html>